VOX for MacOS won't open after latest update


#1

Error message:

Process: VOX [975]
Path: /Applications/VOX.app/Contents/MacOS/VOX
Identifier: com.coppertino.Vox
Version: 3.5 (3500.5)
Code Type: X86-64 (Native)
Parent Process: ??? [1]
Responsible: VOX [975]
User ID: 501

Date/Time: 2022-06-08 12:31:32.503 +0100
OS Version: macOS 11.6 (20G165)
Report Version: 12
Anonymous UUID: 5C9424A1-0FA5-4888-5719-AFDACDEAB436

Time Awake Since Boot: 1500 seconds

System Integrity Protection: enabled

Crashed Thread: 0

Exception Type: EXC_CRASH (SIGABRT)
Exception Codes: 0x0000000000000000, 0x0000000000000000
Exception Note: EXC_CORPSE_NOTIFY

Termination Reason: DYLD, [0x1] Library missing

I’m on Big Sur 11.6


#2

I have same issue. I am on MacOS Mojave 10.14.6. Same error message “DYLD, [0x1] Library missing”. Looks like an issue with the upgrade deployment to me.


#3

Same problem for me. High Sierra 10.13.6. Library not loaded.

Process: VOX [9922]
Path: /Applications/VOX.app/Contents/MacOS/VOX
Identifier: com.coppertino.Vox
Version: 3.5 (3500.5)
Code Type: X86-64 (Native)
Parent Process: ??? [1]
Responsible: VOX [9922]
User ID: 501

Date/Time: 2022-06-08 08:52:56.982 -0500
OS Version: Mac OS X 10.13.6 (17G14042)
Report Version: 12
Anonymous UUID: C01A9A9F-A36B-A6AD-F50D-1AB89FE2A6B3

Sleep/Wake UUID: 394CEA17-D09A-438A-9912-E4994584BCA4

Time Awake Since Boot: 27000 seconds
Time Since Wake: 5000 seconds

System Integrity Protection: enabled

Crashed Thread: 0

Exception Type: EXC_CRASH (SIGABRT)
Exception Codes: 0x0000000000000000, 0x0000000000000000
Exception Note: EXC_CORPSE_NOTIFY

Termination Reason: DYLD, [0x3] Wrong version

Application Specific Information:
dyld: launch, loading dependent libraries

Dyld Error Message:
Library not loaded: /usr/local/opt/curl/lib/libcurl.4.dylib
Referenced from: /Applications/VOX.app/Contents/Frameworks/VXBass.framework/Versions/A/VXBass
Reason: Incompatible library version: VXBass requires version 13.0.0 or later, but libcurl.4.dylib provides version 7.0.0


#4

A brief investigation suggests the cause of my error is that Vox is looking for /usr/local/opt/curl/lib/libcurl.4.dylib whereas my curl library is at /usr/bin/curl. I have “Reason: Image not found”, which differs from Ward’s message.
I tried to create the required directory structure but I don’t have permission


#5

I have raised a support ticket 24272 on this issue, I will post update here if I get a response, but I am not hopeful.


#6

I have the same issue. I’m on Mac OS Big Sur 11.6.


#7

Same issue here, relieved it’s not just me. macOS 11.6.5, latest version of VOX


#8

Same here! High Sierra 10.13.6. Latest version of Vox won’t open. Damn!


#9

Reassuring it’s a problem for everyone at least. Hopefully for a fix soon


#10

Same issue – Vox won’t open after most recent update. macOS 11.6.6


#11

Anyone know if there’s a way to install an older version until they get this fixed?


#12

As a temporary fix, I have found the Vox Universal Player Beta works for me. Less good functionality, you can only stream online not play offline, but at least you can play/upload your music!
https://vox.rocks/windows-music-player
(Despite URL, this has a Mac version too)


#13

SOLUTION. I went to the app store, downloaded Vox. Opened and works just fine. Looks to be version 3.4.4. App store download got me around the security/privacy problem that keeps older downloads on Vox website from opening.


#14

Thanks jachar77, that worked for me, after I uninstalled latest version first. It looks like the version on app store is 5 months old, luckily.
https://apps.apple.com/us/app/vox-mp3-flac-music-player/id461369673?mt=12


#15

Same issue mac OS Catalina 10.15.7
Thanks

Process: VOX [88062]
Path: /Applications/VOX.app/Contents/MacOS/VOX
Identifier: com.coppertino.Vox
Version: 3.5 (3500.5)
Code Type: X86-64 (Native)
Parent Process: ??? [1]
Responsible: VOX [88062]
User ID: 501

Date/Time: 2022-06-10 10:58:17.991 +0200
OS Version: Mac OS X 10.15.7 (19H1922)
Report Version: 12
Anonymous UUID: 6EEE2E26-0346-9FDD-B754-702599BD8D05

Sleep/Wake UUID: F8BEB947-D6DA-4E04-8E51-BFDBB11C27D0

Time Awake Since Boot: 340000 seconds
Time Since Wake: 57000 seconds

System Integrity Protection: enabled

Crashed Thread: 0

Exception Type: EXC_CRASH (SIGABRT)
Exception Codes: 0x0000000000000000, 0x0000000000000000
Exception Note: EXC_CORPSE_NOTIFY

Termination Reason: DYLD, [0x1] Library missing

Application Specific Information:
dyld: launch, loading dependent libraries

Dyld Error Message:
Library not loaded: /usr/local/opt/curl/lib/libcurl.4.dylib
Referenced from: /Applications/VOX.app/Contents/Frameworks/VXBass.framework/Versions/A/VXBass
Reason: image not found


#16

Same issue here, on Catalina. Does anyone have an installer for a 3.4 version that I can go back to?

Update: As of right now, the version in the Mac Store is actually the 3.4.4 version. So I installed from there and I’m all good now.


#17

Yep, did the same and worked for me. Hopefully there is a new update that fixes the issue


#18

It works for me well, thanks a lot for sharing this stunt


#19

Thanks for your comments!

Our dev.team is on it, going to be fixed shortly.


#20

same problem here:

Process: VOX [698]
Path: /Applications/VOX.app/Contents/MacOS/VOX
Identifier: com.coppertino.Vox
Version: 3.5 (3500.5)
Code Type: X86-64 (Native)
Parent Process: ??? [1]
Responsible: VOX [698]
User ID: 501

Date/Time: 2022-06-09 19:03:08.224 -0400
OS Version: Mac OS X 10.13.6 (17G14042)
Report Version: 12
Anonymous UUID: C7ED0CA9-94C9-0477-C546-61D657DB0A06

Time Awake Since Boot: 1000 seconds

System Integrity Protection: enabled

Crashed Thread: 0

Exception Type: EXC_CRASH (SIGABRT)
Exception Codes: 0x0000000000000000, 0x0000000000000000
Exception Note: EXC_CORPSE_NOTIFY

Termination Reason: DYLD, [0x3] Wrong version

Application Specific Information:
dyld: launch, loading dependent libraries

Dyld Error Message:
Library not loaded: /usr/local/opt/curl/lib/libcurl.4.dylib
Referenced from: /Applications/VOX.app/Contents/Frameworks/VXBass.framework/Versions/A/VXBass
Reason: Incompatible library version: VXBass requires version 13.0.0 or later, but libcurl.4.dylib provides version 7.0.0

Binary Images:
0x108302000 - 0x108801fff +com.coppertino.Vox (3.5 - 3500.5) /Applications/VOX.app/Contents/MacOS/VOX
0x1089bf000 - 0x108a42fff +com.devmate.DevMateKit (1.10 - 1.10) /Applications/VOX.app/Contents/Frameworks/DevMateKit.framework/Versions/A/DevMateKit
0x108af0000 - 0x108b6bff7 +com.coppertino.VXBass (2.5.1 - 2.5.1) <82DBD905-7DE3-3A07-A113-6DF723558D26> /Applications/VOX.app/Contents/Frameworks/VXBass.framework/Versions/A/VXBass
0x108c35000 - 0x108c50fff +org.mozilla.universalchardet (1.0) <0C3B8240-39CF-37A6-A22A-87ACAA8C0287> /Applications/VOX.app/Contents/Frameworks/UniversalDetector.framework/Versions/A/UniversalDetector